#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	dialog
Version		:	1.3.20210509
Release		:	16.2.0.rel%{?dist}
Summary		:	Ncurses support utilities
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://invisible-island.net/dialog/#download

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	ncurses-devel
BuildRequires	:	gettext findutils libtool coreutils
#-----------------------------------------------------------------------------
%description
Though similar in style to CDK, it is different, being a script-interpreter
which provides a set of curses widgets. Widgets are objects whose appearance
and behavior can be customized.

Dialog is a utility that allows you to show dialog boxes (containing
questions or messages) in TTY (text mode) interfaces.  Dialog is called
from within a shell script.  The following dialog boxes are implemented:
yes/no, menu, input, message, text, info, checklist, radiolist, and
gauge.

Install dialog if you would like to create TTY dialog boxes.

%prep
%setup -q


%build
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --includedir=%{_includedir}/%{name}		\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--with-nls					\
	--with-libtool					\
	--with-ncursesw 				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__chmod} +x %{buildroot}%{_libdir}/lib%{name}.so*

%{__mkdir_p}  %{buildroot}/lib/%{name}
%{__cp} -a						\
	samples						\
	%{buildroot}/lib/%{name}
%{__rm} -f 						\
	%{buildroot}%{_libdir}/lib%{name}.a	

%files			
%defattr(-,root,root,-)
%doc README COPYING VERSION
%{_bindir}/%{name}*
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.{la,so*}
/lib/%{name}/samples/*
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man3/%{name}.3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
